<?php

if (! defined('ABSPATH')) {
    exit;
}

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://ep.hr/
 * @since      1.0.0
 *
 * @package    Tecdoc_Woo
 * @subpackage Tecdoc_Woo/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Tecdoc_Woo
 * @subpackage Tecdoc_Woo/includes
 * @author     Elektronika Perhoč <support@ep.hr>
 */
class Tecdoc_Woo_i18n
{


    /**
     * Load the plugin text domain for translation.
     *
     * @since    1.0.0
     */
    public function load_plugin_textdomain()
    {

        load_plugin_textdomain(
            'tecdoc-woo',
            false,
            dirname(dirname(plugin_basename(__FILE__))) . '/languages/'
        );
    }
}
