<?php

if (! defined('ABSPATH')) {
    exit;
}

/**
 * The public-facing functionality of the plugin.
 *
 * @link       http://ep.hr/
 * @since      1.0.0
 *
 * @package    Tecdoc_Woo
 * @subpackage Tecdoc_Woo/public
 */

/**
 * The public-facing functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    Tecdoc_Woo
 * @subpackage Tecdoc_Woo/public
 * @author     Elektronika Perhoč <support@ep.hr>
 */
class Tecdoc_Woo_Public
{

    /**
     * The ID of this plugin.
     *
     * @since    1.0.0
     * @access   private
     * @var      string    $plugin_name    The ID of this plugin.
     */
    private $plugin_name;

    /**
     * The version of this plugin.
     *
     * @since    1.0.0
     * @access   private
     * @var      string    $version    The current version of this plugin.
     */
    private $version;

    /**
     * Initialize the class and set its properties.
     *
     * @since    1.0.0
     * @param      string    $plugin_name       The name of the plugin.
     * @param      string    $version    The version of this plugin.
     */
    public function __construct($plugin_name, $version)
    {

        $this->plugin_name = $plugin_name;
        $this->version = $version;
    }

    /**
     * Register the stylesheets for the public-facing side of the site.
     *
     * @since    1.0.0
     */
    public function enqueue_styles()
    {

        /**
         * This function is provided for demonstration purposes only.
         *
         * An instance of this class should be passed to the run() function
         * defined in Tecdoc_Woo_Loader as aooks are dll of the hefined
         * in that particular class.
         *
         * The Tecdoc_Woo_Loader will then create the relationship
         * between the defined hooks and the functions defined in this
         * class.
         */

        /* Selectize v0.12.4 */
//        wp_enqueue_style('selectize-css', plugin_dir_url(__FILE__) . 'css/selectize.css', array(), '1.0.0', 'all');
//        wp_enqueue_style('ep-tecdoc', plugin_dir_url(__DIR__) . 'dist/ep-tecdoc.min.css', array(), '1.0.0', 'all');

        /* Main */
//        wp_enqueue_style('main-css', plugin_dir_url(__FILE__) . 'css/main.css', array(), '1.0.1', 'all');
    }

    /**
     * Register the JavaScript for the public-facing side of the site.
     *
     * @since    1.0.0
     */

    public function enqueue_scripts()
    {
        /* Selectize v0.12.4 */
//        wp_enqueue_script('tecdoc-woo-js', plugin_dir_url(__DIR__) . 'dist/ep-tecdoc.min.js', array( 'jquery' ), $this->version, true);

        /* Main */
//        wp_enqueue_script('tecdoc-woo-js', plugin_dir_url(__FILE__) . 'js/main.js', array( 'jquery', 'selectize-js' ), '1.0.8', true);
/*
        $settings = new tecdocWooSettings;
        $translation_array = $settings->get_settings();
        $translation_array['ajax_url'] = admin_url('admin-ajax.php');

        if (is_array($translation_array)) {
            wp_localize_script('jquery', 'tecdoc_settings_object', $translation_array);
        }
*/
    }

}
