<?php

if (! defined('ABSPATH')) {
    exit;
}

global $post, $product;

$columns           = apply_filters('woocommerce_product_thumbnails_columns', 4);
$thumbnail_size    = apply_filters('woocommerce_product_thumbnails_large_size', 'full');
$placeholder       = 'with-images';
$wrapper_classes   = apply_filters('woocommerce_single_product_image_gallery_classes', array(
    'woocommerce-product-gallery',
    'woocommerce-product-gallery--' . $placeholder,
    'woocommerce-product-gallery--columns-' . absint($columns),
    'images',
));

$slider_classes = array('product-gallery-slider','slider','slider-nav-small','mb-half');

// Image Zoom
if (get_theme_mod('product_zoom', 0)) {
    $slider_classes[] = 'has-image-zoom';
}

$rtl = 'false';
if (is_rtl()) {
    $rtl = 'true';
}

if (get_theme_mod('product_lightbox', 'default') == 'disabled') {
    $slider_classes[] = 'disable-lightbox';
}

?>
<?php do_action('flatsome_before_product_images'); ?>

<div class="product-images relative mb-half has-hover <?php echo esc_attr(implode(' ', array_map('sanitize_html_class', $wrapper_classes))); ?>" data-columns="<?php echo esc_attr($columns); ?>">

    <?php woocommerce_show_product_loop_sale_flash(); ?>

    <div class="image-tools absolute top show-on-hover right z-3">
        <?php do_action('flatsome_product_image_tools_top'); ?>
    </div>

    <figure class="woocommerce-product-gallery__wrapper <?php echo implode(' ', $slider_classes); ?>"
                data-flickity-options='{
                                "cellAlign": "center",
                                "wrapAround": true,
                                "autoPlay": false,
                                "prevNextButtons":true,
                                "adaptiveHeight": true,
                                "imagesLoaded": true,
                                "lazyLoad": 1,
                                "dragThreshold" : 15,
                                "pageDots": false,
                                "rightToLeft": <?php echo $rtl; ?>
             }'>
        <?php

        $html = '';
        $image_base = plugins_url( '/image.php', dirname(__FILE__) );

        foreach ($thumbnails as $key => $thumbnail) {
            if ($thumbnail['thumbTypeId'] !== 1 && $thumbnail['thumbTypeId'] !== 3 && $thumbnail['thumbTypeId'] !== 5) {
                continue;
            }

            $thumb_image = $image_base . '?url='. $this->conn['tecdoc_api_base'] .'/pegasus-3-0/documents/'.$this->conn['provider_id'].'/'. $thumbnails[$key]['thumbDocId'] .'/'. $thumbnails[$key]['thumbFileName'];
            $full_image = $image_base . '?url='. $this->conn['tecdoc_api_base'] .'/pegasus-3-0/documents/'.$this->conn['provider_id'].'/'. $images[$key]['docId'] .'/'. $images[$key]['docFileName'];


            $html  .= '<div data-thumb="'. $thumb_image .'" class="first slide woocommerce-product-gallery__image"><a href="'. $full_image .'">';
            $html .= '<img src="'. $thumb_image .'" alt="'. $thumbnails[$key]['thumbFileName'] .'" />';
            $html .= '</a></div>';
        }

        echo $html;
        ?>
    </figure>

    <div class="image-tools absolute bottom left z-3">
        <?php do_action('flatsome_product_image_tools_bottom'); ?>
    </div>
</div>
<?php do_action('flatsome_after_product_images');
