<?php

if (! defined('ABSPATH')) {
    exit;
}

if (!$thumbnails || count($thumbnails) === 0) {
    return false;
}

global $post, $product, $woocommerce;

//$images = fl_woocommerce_version_check('3.0.0') ? $product->get_gallery_image_ids() : $product->get_gallery_attachment_ids();
$thumb_count = count($thumbnails)+1;

// Disable thumbnails if there is only one extra image.
if ($thumb_count == 1) {
    return;
}

$rtl = 'false';

if (is_rtl()) {
    $rtl = 'true';
}

$thumb_cell_align = "left";

if ($images) {
    $columns  = apply_filters('woocommerce_product_thumbnails_columns', 4);

    $gallery_class = array('product-thumbnails','thumbnails');

    if ($thumb_count <= 5) {
        $gallery_class[] = 'slider-no-arrows';
    }

    $gallery_class[] = 'slider row row-small row-slider slider-nav-small small-columns-4';
    ?>

  <div class="<?php echo implode(' ', $gallery_class); ?>"
    data-flickity-options='{
              "cellAlign": "<?php echo $thumb_cell_align;?>",
              "wrapAround": false,
              "autoPlay": false,
              "prevNextButtons":true,
              "asNavFor": ".product-gallery-slider",
              "percentPosition": true,
              "imagesLoaded": true,
              "pageDots": false,
              "rightToLeft": <?php echo $rtl; ?>,
              "contain": true
          }';
    ><?php

    $image_base = plugins_url( '/image.php', dirname(__FILE__) );

    foreach ($images as $key => $single_image) {
        if ($single_image['docTypeId'] !== 1 && $single_image['docTypeId'] !== 3 && $single_image['docTypeId'] !== 5) {
            continue;
        }

        $classes = array( '' );
        $image_title  = $single_image['docFileName'];
        $image_caption  = '';
        $image_class = esc_attr(implode(' ', $classes));

        $thumb_image = $image_base . '?url='. $this->conn['tecdoc_api_base'] .'/pegasus-3-0/documents/'.$this->conn['provider_id'].'/'. $thumbnails[$key]['thumbDocId'] .'/'. $thumbnails[$key]['thumbFileName'];
        $full_image = $image_base . '?url='. $this->conn['tecdoc_api_base'] .'/pegasus-3-0/documents/'.$this->conn['provider_id'].'/'. $images[$key]['docId'] .'/'. $images[$key]['docFileName'];

        $image = '<img class="attachment-shop_thumbnail size-shop_thumbnail" src="'. $full_image .'" alt="'. $single_image['docFileName'] .'" />';

        echo apply_filters('woocommerce_single_product_image_thumbnail_html', sprintf('<div class="col"><a class="%s" title="%s" >%s</a></div>', $image_class, $image_caption, $image), $single_image, $post->ID, $image_class);
    }
    ?>
  </div><!-- .product-thumbnails -->
    <?php
}
